Last modified: 2013-12-02 07:10:58 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 42088 - Add new Analytics components (Webstatscollector), move "Wikimedia Statistics" into product "Analytics"
Add new Analytics components (Webstatscollector), move "Wikimedia Statistics"...
Status: RESOLVED FIXED
Product: Wikimedia
Classification: Unclassified
Bugzilla (Other open bugs)
wmf-deployment
All All
: High normal (vote)
: ---
Assigned To: Andre Klapper
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-14 00:18 UTC by Diederik van Liere
Modified: 2013-12-02 07:10 UTC (History)
8 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Diederik van Liere 2012-11-14 00:18:10 UTC
Please add the following components under the 'Analytics' product:
* Wikistats
* Webstatscollector
* Statistics

Ty

Diederik
Comment 1 Nemo 2012-11-14 00:22:02 UTC
(In reply to comment #0)
> Please add the following components under the 'Analytics' product:
> * Wikistats

How is this different from Wikimedia>Statistics?

> * Webstatscollector
> * Statistics

Maybe you also/rather need a General/Unknown or [other]?
Comment 2 Andre Klapper 2012-11-14 00:23:41 UTC
Plus component *descriptions* are required, preferably with URLs where I can see these components in action. :)
Comment 3 Diederik van Liere 2012-11-14 00:24:34 UTC
Wikimedia -> Statistics is a container category of stats issues with Mediawiki, stats.wikimedia.org  and it's hard to find. The Analytics Team is responsible for stats related issues so let's make it easy to find and put it under Analytics.

I think Statistics should be our equivalent of General /Unknown.
Comment 4 Diederik van Liere 2012-11-14 00:25:41 UTC
* Wikistats
All issues regarding stats.wikimedia.org


* Webstatscollector
All issues regarding dumps.wikimedia.org/other/pageviews/

* Statistics
The equivalent of General / Unknown
Comment 5 Daniel Zahn 2012-11-14 01:11:59 UTC
Could you live with it being "Wikimedia Stats" for "stats.wikimedia.org" because i already have "Wikistats" as a component in Labs for a while for all things regarding "wikistats.wmflabs.org" which was going to move to be wikistats.wikimedia.org. Diederik, arr, sorry, this is what i meant with the naming conflict. I should have replied again weeks ago :P. I already put "Wikistats" in tons of places months ago, always expecting that "stats.wikimedia.org" is just "stats" or "wikimedia stats". Maybe we can talk again?
Comment 6 Diederik van Liere 2012-11-14 01:19:33 UTC
Well, wikistats (stats.wikimedia.org) has existed for almost 10 years and the entire community uses wikistats to refer to stats.wikimedia.org so yes it's really too bad that you didn't respond :(
Comment 7 Andre Klapper 2012-11-14 01:32:02 UTC
Sorry to make this even more complicated...

(In reply to comment #4)
> * Webstatscollector
> All issues regarding dumps.wikimedia.org/other/pageviews/

Reports about dumps.wikimedia.org stuff so far seem to have been filed in the Bugzilla product "Datasets". If this setup is kept, any idea for criteria how bug reporters can distinguish? Or shall we end up with renaming the "Analytics" product to "Analytics and Datasets" and make Datasets a component under this product (not too hard as Datasets does not have subcomponents currently, except that moving would trigger 135 bugmails)? Or any other idea / prefered plan?
Comment 8 Diederik van Liere 2012-11-14 01:37:21 UTC
Yes, please move Datasets to Analytics as well. I am okay with renaming Analytics to Analytics & Datasets. We are the principal caretaker of the datasets as well. And a separate Datasets component sounds good as well
Comment 9 Ariel T. Glenn 2012-11-14 08:08:56 UTC
What's the point of moving dump related bugs to a sub-component of analytics?  They're not really related as far as the code base goes.
Comment 10 Nemo 2012-11-14 08:21:06 UTC
(In reply to comment #6)
> Well, wikistats (stats.wikimedia.org) has existed for almost 10 years 

I'm not sure Erik's WikiStats came so much before Daniel's http://s23.org/wikistats/ , but not worth discussing. ;-)

> and the
> entire community uses wikistats to refer to stats.wikimedia.org so yes it's
> really too bad that you didn't respond :(

However, it's also just [[stats:]] (interwiki) or Statistics, so WikiStats vs. Statistics is very confusing. Plus, you have dozens of repositories with very mysterious-sounding names, so a General/Unknown component would be very useful to avoid dozens of components and for people who don't know all the details. :-)
Comment 11 Andre Klapper 2012-11-15 11:45:03 UTC
(In reply to comment #9)
> What's the point of moving dump related bugs to a sub-component of analytics? 
> They're not really related as far as the code base goes.

I'll leave that to Diederik. Current proposal ("Datasets" product, and new "Analytics/Webstatscollector" component) would split dumps.wm issues among two Bugzilla products. I only would like to make sure that *reporters* can find their way to the right place in Bugzilla when it comes to dumps.wm.org related issues. How this is done in the end, I don't mind.
Comment 12 Andre Klapper 2012-12-01 19:34:58 UTC
What's blocking me to proceed here is that it really would not be clear where to report issues about dumps.wikimedia.org. 
If you could agree on something / if Diederik could live with two products ("Datasets" for anything related to dumps.wikimedia.org and Analytics for anything else, if I get it right?) I could proceed.
Comment 13 Diederik van Liere 2012-12-01 20:58:22 UTC
I am fine either way, dumps.wikimedia.org can be a component under datasets or analytics. Let's just wrap this up and move along.
Comment 14 Ariel T. Glenn 2012-12-02 15:03:27 UTC
fine, I just don't want people reporting dumps bugs to have to hunt around under analytics.  go for it.
Comment 15 Andre Klapper 2012-12-03 14:09:41 UTC
Done:

* Analytics
** Wikistats (created) - All issues regarding stats.wikimedia.org
*** Move "Wikimedia -> Statistics" here (63 bug reports)
** General/Unknown (created) - Any other statistics issues that you could not find a better place for.
*** Add hint to Wikimedia product where to find it now.
** gerrit-stats (existed already)
** ReportCard (existed already)

* Datasets
** General / Unknown (existed already, all issues about dumps.wikimedia.org except for DumpHTML and Webstatscollector)
** Webstatscollector (created) - All issues regarding dumps.wikimedia.org/other/pageviews/


I've seen some reports about Special:Statistics not working properly dumped under Wikimedia->Statistics (now Analytics->Wikistats).
Is that out of scope? Should rather be under "MediaWiki->Special pages"?
Comment 16 Ariel T. Glenn 2012-12-03 15:09:00 UTC
Yeah that's completely unrelated (in reality, though perhaps not in the user's mind).  I guess SpecialPages is the place for that so the right folks will see it.  Hmm I'm curious about the bug too, feel free to add me while you're moving things around...
Comment 17 Diederik van Liere 2012-12-03 15:48:29 UTC
Yes Special Pages should go to MediaWiki.
Comment 18 Nemo 2012-12-03 18:02:41 UTC
(In reply to comment #16)
> Yeah that's completely unrelated (in reality, though perhaps not in the user's
> mind).  I guess SpecialPages is the place for that so the right folks will see
> it.  Hmm I'm curious about the bug too, feel free to add me while you're moving
> things around...

They're usually not real bugs, rather changes in the wiki content not reflected in the stats cache, fixed by running updateArticleCount.php. I moved them to site requests; the bugs on the actual counting method are already under MediaWiki.

I also moved to Webstatscollector the bugs on Domas' wikistats and other unrelated bugs to some other Wikimedia components.
Comment 19 Andre Klapper 2012-12-03 18:11:28 UTC
Nemo: Big thanks for the help!

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links